Bug 972537 - [abrt] rarian-compat-0.8.1-9.fc19: scan_directory: Process /usr/bin/rarian-sk-get-cl was killed by signal 11 (SIGSEGV)
[abrt] rarian-compat-0.8.1-9.fc19: scan_directory: Process /usr/bin/rarian-sk...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rarian (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:c909573cfdbce6d9dafc96d8b97...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 19:16 EDT by D. Charles Pyle
Modified: 2015-02-17 10:31 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:31:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.45 KB, text/plain)
2013-06-09 19:17 EDT, D. Charles Pyle
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-09 19:17 EDT, D. Charles Pyle
no flags Details
File: core_backtrace (822 bytes, text/plain)
2013-06-09 19:17 EDT, D. Charles Pyle
no flags Details
File: dso_list (586 bytes, text/plain)
2013-06-09 19:17 EDT, D. Charles Pyle
no flags Details
File: environ (1.83 KB, text/plain)
2013-06-09 19:17 EDT, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-09 19:17 EDT, D. Charles Pyle
no flags Details
File: maps (3.07 KB, text/plain)
2013-06-09 19:17 EDT, D. Charles Pyle
no flags Details
File: open_fds (487 bytes, text/plain)
2013-06-09 19:17 EDT, D. Charles Pyle
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-06-09 19:17 EDT, D. Charles Pyle
no flags Details

  None (edit)
Description D. Charles Pyle 2013-06-09 19:16:57 EDT
Description of problem:
1. Ran picmi game.
2. clicked help menu.

As soon as "The Picmi Handbook" loaded the error appeared.

I just did the same thing several more times and got the same error.

Version-Release number of selected component:
rarian-compat-0.8.1-9.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/rarian-sk-get-cl en_US scrollkeeper_cl.xml
crash_function: scan_directory
executable:     /usr/bin/rarian-sk-get-cl
kernel:         3.9.4-302.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun  9 17:11:27 Illuminatus-1 abrt[20962]: Saved core dump of pid 20961 (/usr/bin/rarian-sk-get-cl) to /var/tmp/abrt/ccpp-2013-06-09-17:11:26-20961 (626688 bytes)

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 scan_directory at rarian-main.c:297
 #5 scan_directories at rarian-main.c:237
Comment 1 D. Charles Pyle 2013-06-09 19:17:01 EDT
Created attachment 758976 [details]
File: backtrace
Comment 2 D. Charles Pyle 2013-06-09 19:17:03 EDT
Created attachment 758977 [details]
File: cgroup
Comment 3 D. Charles Pyle 2013-06-09 19:17:05 EDT
Created attachment 758978 [details]
File: core_backtrace
Comment 4 D. Charles Pyle 2013-06-09 19:17:08 EDT
Created attachment 758979 [details]
File: dso_list
Comment 5 D. Charles Pyle 2013-06-09 19:17:10 EDT
Created attachment 758980 [details]
File: environ
Comment 6 D. Charles Pyle 2013-06-09 19:17:13 EDT
Created attachment 758981 [details]
File: limits
Comment 7 D. Charles Pyle 2013-06-09 19:17:15 EDT
Created attachment 758982 [details]
File: maps
Comment 8 D. Charles Pyle 2013-06-09 19:17:17 EDT
Created attachment 758983 [details]
File: open_fds
Comment 9 D. Charles Pyle 2013-06-09 19:17:20 EDT
Created attachment 758984 [details]
File: proc_pid_status
Comment 10 Hebert Silva 2013-08-22 12:15:21 EDT
Opening a help file in Kde.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/rarian-sk-get-cl en_US scrollkeeper_cl.xml
crash_function: scan_directory
executable:     /usr/bin/rarian-sk-get-cl
kernel:         3.10.5-201.fc19.i686.PAE
package:        rarian-compat-0.8.1-9.fc19
reason:         Process /usr/bin/rarian-sk-get-cl was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            500
Comment 11 D. Charles Pyle 2013-10-27 18:54:10 EDT
1.  Switched user
2.  Logged into GNOME Shell as root user to empty root's trash folder.
3.  Since it was the first time logging into a fresh installation of Fedora 20-Alpha, the initial setup for first run ran to set language, etc.
4.  As soon as the help file launched the rarian error was generated again.
Comment 12 Fedora End Of Life 2015-01-09 13:22:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 10:31:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.